%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 3.0
%define major 1
%define oname gtksourceview
%define libname %mklibname %{oname}- %{api} %{major}
%define girname %mklibname %{oname}-gir %{api}
%define devname %mklibname -d %{oname}- %{api}

Summary:	Source code viewing library
Name:		gtksourceview3
Version:	3.16.2
Release:	1
License:	GPLv2+
Group:		Editors
Url:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(libxml-2.0)

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%files -f %{oname}-%{api}.lang
%doc AUTHORS NEWS README
%{_datadir}/gtksourceview-%{api}

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	%{name} = %{EVRD}
Obsoletes:	%{_lib}gtksourceview-3.0_0 < 3.8.2

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%files -n %{libname}
%{_libdir}/libgtksourceview-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSource-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries and include files for GtkSourceView
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	%{oname}-%{api}-devel = %{EVRD}

%description -n %{devname}
GtkSourceView development files.

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gtksourceview-%{api}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GtkSource-%{api}.gir

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x

%make LIBS='-lgmodule-2.0'

%install
%makeinstall_std

%find_lang %{oname}-%{api}


%changelog

* Tue Feb 02 2016 Tigro <ashejn@gmail.com> 3.16.2-1
- (0dc1cae) update to 3.16.2


